Package org.silverpeas.wbe.wopi

## Class WopiClientManager

- java.lang.Object
- - org.silverpeas.wbe.wopi.WopiClientManager

- All Implemented Interfaces:
    `org.silverpeas.core.wbe.WbeClientManager`

      @Service
      public class WopiClientManager
      extends Object
      implements org.silverpeas.core.wbe.WbeClientManager

  Author:
    silveryocha

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WopiClientManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `Optional<String>` | `getAdministrationUrl()` |
    `String` | `getName​(String language)` |
    `boolean` | `isEnabled()` |
    `boolean` | `isHandled​(org.silverpeas.core.wbe.WbeFile file)` |
    `Optional<WopiEdition>` | `prepareEditionWith​(org.silverpeas.core.wbe.WbeUser user, org.silverpeas.core.wbe.WbeFile file)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WopiClientManager

          public WopiClientManager()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `org.silverpeas.core.wbe.WbeClientManager`

    - #### isHandled

          public boolean isHandled​(org.silverpeas.core.wbe.WbeFile file)

      Specified by:
        `isHandled` in interface `org.silverpeas.core.wbe.WbeClientManager`

    - #### prepareEditionWith

          public Optional<WopiEdition> prepareEditionWith​(org.silverpeas.core.wbe.WbeUser user,
                                                          org.silverpeas.core.wbe.WbeFile file)

      Specified by:
        `prepareEditionWith` in interface `org.silverpeas.core.wbe.WbeClientManager`

    - #### getAdministrationUrl

          public Optional<String> getAdministrationUrl()

      Specified by:
        `getAdministrationUrl` in interface `org.silverpeas.core.wbe.WbeClientManager`

    - #### getName

          public String getName​(String language)

      Specified by:
        `getName` in interface `org.silverpeas.core.wbe.WbeClientManager`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.silverpeas.core.wbe.WbeClientManager`